package com.myoa.engineering.music.soundhoundfound.receiver.dispatch;

import lombok.extern.slf4j.Slf4j;
import org.telegram.telegrambots.bots.TelegramLongPollingBot;
import org.telegram.telegrambots.meta.api.objects.Message;
import org.telegram.telegrambots.meta.api.objects.Update;

@Slf4j
public class MessageHandler extends TelegramLongPollingBot {

    private static final String BOT_TOKEN = "bottoken";
    private static final String BOT_NAME = "nthfuncx_SoundHoundFoundBot";

    @Override
    public String getBotToken() {
        return BOT_TOKEN;
    }

    @Override
    public void onUpdateReceived(Update update) {
        Message message = update.getMessage();
        log.info(message.getText());
    }

    @Override
    public String getBotUsername() {
        return BOT_NAME;
    }
}
